:root {
  --container-padding-height: 64px;
  --sub-tab-height: 48px;
  --table-header-height: 330px;
}
::-webkit-scrollbar {
  height: 5px;
  width: 5px;
}
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 1px transparent;
}
::-webkit-scrollbar-thumb {
  background-color: var(--primary);
}
::-webkit-scrollbar-thumb:hover {
  background: var(--primary);
}

body {
  width: 1170px;
  margin: auto;
  background: var(--background2);
}

.sub-tabs .selected,
.sub-tabs *:hover {
  border-radius: unset;
  border-bottom: 3px solid var(--primary);
  color: var(--primary);
}

.content {
  background: var(--background1);
  @apply rounded-md;
}

.form {
  @apply flex flex-col;
}

.form > * {
  @apply flex;
}

.row {
  @apply flex;
}

.text-align-middle {
  @apply flex items-center;
}

.vertical-sub-tabs > * {
  @apply flex items-center;
  height: 48px;
  border-radius: 5px;
  border: solid 1px var(--border);
  padding: 10px;
  position: relative;
}
.vertical-sub-tabs {
  @apply flex flex-col space-y-2;
}

.sub-tabs {
  @apply flex space-x-2;
}
.el-input-number {
  width: 100%;
}
.el-input-number.is-without-controls .el-input__inner {
  padding-left: 10px;
}
.el-input-number .el-input__inner {
  padding-left: 0;
  text-align: left !important;
}
.el-tree {
  background: none;
  .el-tree-node__children {
    .el-tree-node__content::before {
      content: "";
      height: 3000000px;
      width: 10px;
      border-left: 1px solid var(--border);
      border-bottom: 1px solid var(--border);
      border-radius: 0 0 0 7px;
      margin-bottom: 3000000px;
    }
  }
  .el-tree-node__content {
    margin: 15px 0 0 15px;
    height: 110px;
    width: fit-content;
    position: relative;
  }
  .el-tree-node__content:hover {
    background: none;
  }
  .el-icon {
    display: none;
  }
}
